Bug 327351 - Review Request: python-alsa - Python binding for the ALSA library
Review Request: python-alsa - Python binding for the ALSA library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 04:34 EDT by Andy Shevchenko
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.0.14-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 22:30:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andy Shevchenko 2007-10-11 04:34:11 EDT
Spec URL: ftp://toaster.asplinux.com.ua/pub/people/andy/extras/python-alsa.spec
SRPM URL: ftp://toaster.asplinux.com.ua/pub/people/andy/extras/python-alsa-
1.0.15-0.1.rc2.fc7.src.rpm

Description:
Python binding for the ALSA library.


There is native binding to ALSA is developed by ALSA team.
Comment 1 Parag AN(पराग) 2007-10-11 05:29:55 EDT
1)Good to add test directory to %doc
2) Also, I think good to use only LGPLv2 as __init__.py lacks copyright code.
whereas I have seen few packages installed on my system which have copyright in
__init__.py evenif its empty code.
Comment 2 Andy Shevchenko 2007-10-11 08:58:15 EDT
1. I was thinking about it. And I almost agree with you.
2. __init__.py is quite empty. I think the License tag should derived from the 
real code. Anyway, I'll write to Jaroslav about this misspelling (and I save 
License tag while now).

New SRPMS:
ftp://toaster.asplinux.com.ua/pub/people/andy/extras/python-alsa-1.0.15-
0.2.rc2.fc7.src.rpm
Comment 3 Parag AN(पराग) 2007-10-11 23:08:46 EDT
you miss to add following line to %prep
chmod -x test/*
Comment 4 Andy Shevchenko 2007-10-12 04:47:58 EDT
(In reply to comment #3)
Oh, my mistake, sorry. Now fixed.

Updated SRPM:
ftp://toaster.asplinux.com.ua/pub/people/andy/extras/python-alsa-1.0.15-
0.3.rc2.fc7.src.rpm

Comment 5 Parag AN(पराग) 2007-10-12 05:21:12 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
3f3153bf5f4d5627655dbbbd71537f1e  pyalsa-1.0.15rc2.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Package  python-alsa-1.0.15-0.3.rc2.fc8 ->
  Provides: alsacard.so alsacontrol.so alsahcontrol.so alsamixer.so
  Requires: libasound.so.2 libasound.so.2(ALSA_0.9) libasound.so.2(ALSA_0.9.3)
libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.4)
libpthread.so.0 libpython2.5.so.1.0 python(abi) = 2.5 rtld(GNU_HASH)
+ Not a GUI app.

APPROVED.
Comment 6 Andy Shevchenko 2007-10-12 06:04:34 EDT
Thank you for review.
Comment 7 Parag AN(पराग) 2007-10-12 06:21:15 EDT
heh. How can this review request be completed?
Don't you want to build package? create CVS module?
I wonder howcome this package will appear in CVS/rawhide?

Please check http://fedoraproject.org/wiki/PackageMaintainers/NewPackageProcess .
Next you have to do "CVSAdminProcedure".
Comment 8 Andy Shevchenko 2007-10-12 06:36:54 EDT
New Package CVS Request
=======================
Package Name: python-alsa
Short Description: Python binding for the ALSA library
Owners: andriy
Branches: F-7
InitialCC:
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2007-10-12 13:27:10 EDT
cvs done.
Comment 10 Andy Shevchenko 2007-10-12 16:08:05 EDT
(In reply to comment #7)
Real closed request ticket.
http://koji.fedoraproject.org/koji/taskinfo?taskID=193050
Comment 11 Fedora Update System 2007-10-15 17:30:54 EDT
python-alsa-1.0.14-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-alsa'
Comment 12 Fedora Update System 2007-10-17 22:30:06 EDT
python-alsa-1.0.14-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Andy Shevchenko 2007-11-19 13:14:58 EST
Package Change Request
======================
Package Name: python-alsa
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.